#ifndef _SYS_H_
#define _SYS_H_

extern int SYS_fenLong;
extern int SYS_fenHaut;
extern int SYS_fenPosX;
extern int SYS_fenPosY;
extern int SYS_fenMode;
extern char *SYS_fenName;
extern void (*SYS_displayFunc)(void);
extern void (*SYS_reshapeFunc)(int width, int height);
extern void (*SYS_mouseFunc)(int button, int state, int x, int y);
extern void (*SYS_motionFunc)(int x, int y);
extern void (*SYS_idleFunc)(void);
extern void (*SYS_timerFunc)(int value);
extern void (*SYS_keyFunc)(unsigned char k, int x, int y);
extern void (*SYS_keyUpFunc)(unsigned char k, int x, int y);
extern void SYS_init(int *nbarg, char **arg);
extern void SYS_run();
extern int SYS_timer(unsigned int msec, void (*timerFunc)(int), int label);
extern void SYS_affiche();
extern void SYS_reaffiche();
extern void SYS_efface(int);

#endif
